package ru.yandex.webmaster3.monitoring.solomon.trigger.data;

import ru.yandex.webmaster3.core.util.json.polymorphic.Polymorphic;

/**
 * @author avhaliullin
 */
public abstract class WebmasterTrigger implements Polymorphic<WebmasterTriggerType> {
    private final WebmasterTriggerType triggerType;

    protected WebmasterTrigger(WebmasterTriggerType triggerType) {
        this.triggerType = triggerType;
    }

    @Override
    public WebmasterTriggerType getType() {
        return triggerType;
    }
}
